Framebuffer devices
Implementation internals » Device handling

Scan framebuffer devices. More...

## Data Structures

struct | fb_info_t

## Functions

static fb_info_t * | fb_get_info (hd_data_t *hd_data)
void | hd_scan_fb (hd_data_t *hd_data)

## Detailed Description

Scan framebuffer devices.

## Function Documentation

## fb_get_info()

fb_info_t * fb_get_info | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, DEV_FB, DEV_FB0, and hd_data.

Referenced by hd_scan_fb().

## hd_scan_fb()

void hd_scan_fb | ( | hd_data_t * | hd_data | ) |

References add_hd_entry(), add_res_entry(), s_hd_t::base_class, bc_monitor, hd_detail_monitor_s::data, s_hd_t::detail, s_hd_t::device, fb_get_info(), fb_info_t::h_freq, hd_data, hd_detail_monitor, hd_probe_feature(), fb_info_t::height, res_monitor_t::height, hd_id_t::id, MAKE_ID, monitor_info_t::max_hsync, monitor_info_t::max_vsync, monitor_info_t::min_hsync, monitor_info_t::min_vsync, mod_fb, hd_detail_t::monitor, u_hd_res_t::monitor, hd_id_t::name, name2eisa_id(), new_mem(), new_str(), s_hd_t::next, pr_fb, PROGRESS, s_hd_t::tag_s::remove, remove_hd_entries(), remove_tagged_hd_entries(), s_hd_t::res, res_monitor, s_hd_t::tag, TAG_EISA, hd_detail_t::type, res_monitor_t::type, fb_info_t::v_freq, s_hd_t::vendor, res_monitor_t::vfreq, fb_info_t::width, and res_monitor_t::width.

Referenced by hd_scan_no_hal().